Package fr.gouv.vitam.common.model

# Enum Class LocalFileAction

java.lang.Object
java.lang.Enum<LocalFileAction>
fr.gouv.vitam.common.model.LocalFileAction

All Implemented Interfaces:
  `Serializable`, `Comparable<LocalFileAction>`, `Constable`

public enum LocalFileAction extends Enum<LocalFileAction>
Enum LocalFileAction Different constants handling local file after ingest

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DELETE`
  DELETE : the local file will be deleted
  `MOVE`
  MOVE : the local file will be moved to the directory successfulUploadDir/failedUploadDir entered in ingest-external.conf
  `NONE`
  NONE : the local file will not be moved or deleted (default option if no corresponding value found)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LocalFileAction`
  `getLocalFileAction(String value)`
  Returns Enum from value
  `String`
  `getValue()`
  `static LocalFileAction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LocalFileAction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DELETE

    public static final LocalFileAction DELETE
    DELETE : the local file will be deleted

  - ### MOVE

    public static final LocalFileAction MOVE
    MOVE : the local file will be moved to the directory successfulUploadDir/failedUploadDir entered in ingest-external.conf

  - ### NONE

    public static final LocalFileAction NONE
    NONE : the local file will not be moved or deleted (default option if no corresponding value found)

- ## Method Details

  - ### values

    public static LocalFileAction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LocalFileAction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Returns:
      value of after upload action in String format

  - ### getLocalFileAction

    public static LocalFileAction getLocalFileAction(String value)
    Returns Enum from value
    Parameters:
      `value` - of the after upload action in String format
    Returns:
      LocalFileAction